curl --request GET \
--url https://api.aisa.one/apis/v1/polymarket/closed-positions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/polymarket/closed-positions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/polymarket/closed-positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"proxyWallet": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
"asset": "<string>",
"conditionId": "0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917",
"avgPrice": 123,
"totalBought": 123,
"realizedPnl": 123,
"curPrice": 123,
"timestamp": 123,
"title": "<string>",
"slug": "<string>",
"icon": "<string>",
"eventSlug": "<string>",
"outcome": "<string>",
"outcomeIndex": 123,
"oppositeOutcome": "<string>",
"oppositeAsset": "<string>",
"endDate": "<string>"
}
]Get closed positions for a user
Returns closed positions for a user.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
The event id of the event in question. Supports multiple csv separated values. Returns positions for all markets for those event ids. Cannot be used with the market param.
x >= 1The max number of positions to return
0 <= x <= 50The conditionId of the market in question. Supports multiple csv separated values. Cannot be used with the eventId param.
0x-prefixed 64-hex string
^0x[a-fA-F0-9]{64}$The starting index for pagination
0 <= x <= 100000The sort criteria
REALIZEDPNL, TITLE, PRICE, AVGPRICE, TIMESTAMP The sort direction
ASC, DESC Filter by market title
100The address of the user in question User Profile Address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x56687bf447db6ffa42ffe2204a05edaa20f55839"
响应
Success
User Profile Address (0x-prefixed, 40 hex chars)
^0x[a-fA-F0-9]{40}$"0x56687bf447db6ffa42ffe2204a05edaa20f55839"
0x-prefixed 64-hex string
^0x[a-fA-F0-9]{64}$"0xdd22472e552920b8438158ea7238bfadfa4f736aa4cee91a6b86c39ead110917"